hifrog - Bug #5354

inconsistency of HIFROG with CBMC in tcas_asrt.c
25/06/2017 21:52 - Sepideh Asadi

Status: Closed Start date: 25/06/2017
Priority: Low Due date:

Assignee: Sepideh Asadi % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

/cbmc --unwind 5 tcas_asrt.c --property alt_sep_test.assertion.1  --> SAT

/hifrog --claim 1 --theoref --no-itp --unwind 5 --bitwidth 32 --heuristic 4 --claim alt_sep_test.assertion.1 tcas_asrt.c --> UNSAT

History

#1 - 08/08/2017 14:08 - Karine Even Mendoza
- Status changed from New to Feedback

- Assignee set to Sepideh Asadi

Cannot repeat it, gets "Testclaim not found."

Can you please give more instructions how to reproduce it?
Thanks!
karinek@karinek-VirtualBox:~/workspace/tools/hifrog_lIra_lattice/hifrog/trunk/cprover/regression/hifrog/benchmarks$ ./../../../src/funfrog/hifrog --theoref
--no-itp --bitwidth 32 --heuristic 4 tcas_asrt.c --claim alt_sep_test.assertion.1

e USING INTERPOLATION AND SUMMARIES (DPRODUCE_PROOF is on) ***

Loading “tcas_asrt.c' ...

Parsing tcas_asrt.c

file <command-line> line 0: <command-line>:0:0: warning: "__STDC_VERSION__" redefined

<built-in>: note: this is the location of the previous definition

Converting

Type-checking tcas_asrt

file tcas_asrt.c line 50 function initialize: function “assert' is not declared

file tcas_asrt.c line 156 function Non_Crossing_Biased_Climb: function *Own_Below_Threat' is not declared
file tcas_asrt.c line 160 function Non_Crossing_Biased_Climb: function *Own_Above_Threat' is not declared
file tcas_asrt.c line 317 function main: function “exit' is not declared

file tcas_asrt.c line 320 function main: function “atoi' is not declared

Generating GOTO Program

Ignoring CPROVER library

Removal of function pointers and virtual functions

Partial Inlining

Generic Property Instrumentation

LOAD Time: 0.296 sec.

Checking claims in program...(162)

Testclaim not found.
karinek@karinek-VirtualBox:~/workspace/tools/hifrog_lIra_lattice/hifrog/trunk/cprover/regression/hifrog/benchmarks$ ./../../../src/funfrog/hifrog --theoref
--no-itp --bitwidth 32 --heuristic 4 tcas_asrt.c --claim alt_sep_test.assertion.1

#2 - 13/08/2017 22:11 - Sepideh Asadi
- Status changed from Feedback to Closed
- Priority changed from Normal to Low

- % Done changed from 0 to 100
